Subject: Re: [PATCH net v2] switchdev: don't abort hardware ipv4 fib offload on failure to program fib entry in hardware

From: roopa <[email-masked]>
Date: Mon, 18 May 2015 22:57:16 -0700

On 5/18/15, 1:19 PM, David Miller wrote:
> From: Roopa Prabhu <[email-masked]>
> Date: Sun, 17 May 2015 16:42:05 -0700
>
>> On most systems where you can offload routes to hardware,
>> doing routing in software is not an option (the cpu limitations
>> make routing impossible in software).
> You absolutely do not get to determine this policy, none of us
> do.
>
> What matters is that by default the damn switch device being there
> is %100 transparent to the user.
>
> And the way to achieve that default is to do software routes as
> a fallback.
>
> I am not going to entertain changes of this nature which fail
> route loading by default just because we've exceeded a device's
> HW capacity to offload.
>
> I thought I was _really_ clear about this at netdev 0.1
sorry if i missed you emphasize this.
Current fib hw offload code aborts hw offload on the first hw offload 
failure and moves all routes to software and before 4.1 goes out I was 
trying to revisit this because the existing defaults will not work for 
most devices. To that effect, i started with an RFC patch to get some 
current thoughts and hence this patch.

I will follow up on the other options mentioned in the comment.